Update Channel Metafield
Updates a single channel metafield.
Usage Notes
- Attempting to modify
namespace,key, andpermission_setfields using a client ID different from the one used to create those metafields will result in a403error message.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
channel_id
The ID of a channel.
metafield_id
The ID of the metafield.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
namespace
Namespace for the metafield, for organizational purposes.
key
The name of the field.
value
The value of the field.
permission_set
Determines the visibility and writeability of the field by other API consumers.
Allowed values:
description
Description for the metafield.
Response
OK
data
Common Metafield properties.
meta
Response metadata.
Errors
400
Bad Request Error
404
Not Found Error